Debian Bug report logs - #298973
ITP: libtorrent -- a BitTorrent library written in C++

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Qingning Huo <qhuo@mayhq.co.uk>

Date: Thu, 10 Mar 2005 21:33:02 UTC

Owned by: qingning huo <qhuo@mayhq.co.uk>

Severity: wishlist

Fixed in version libtorrent/0.6.7-1

Done: Qingning Huo <qhuo@mayhq.co.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>:
Bug#298973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Qingning Huo <qhuo@mayhq.co.uk>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Qingning Huo <qhuo@mayhq.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libtorrent -- a BitTorrent library written in C++
Date: Thu, 10 Mar 2005 21:20:37 +0000
Package: wnpp
Severity: wishlist
Owner: Qingning Huo <qhuo@mayhq.co.uk>


* Package name    : libtorrent
  Version         : 0.5.1
  Upstream Author : Jari Sundel <jaris@ifi.uio.no>
* URL             : http://libtorrent.rakshasa.no/
* License         : GPL
  Description     : a BitTorrent library written in C++

(Include the long description here.)

LibTorrent is a BitTorrent library written in C++ for *nix. It is
designed to avoid redundant copying and storing of data that other
clients and libraries suffer from. Licensed under the GPL.

Library Features:

* The client has full control over the polling of sockets.
* Sigc++ signals makes i easy for the client to react to events.
* Fast resume which checks the file modification time.
* Direct reading and writing from network to mmap'ed files:
  o Avoids duplication of data where both the application and the
  kernel has a copy of the file chunk.
  o Unused chunks get thrown out or written to disk instead of the swap.
  o Kernel handles caching of the file.
* File hash check:
  o Uses the same thread.
  o Client can control the rate. (Will be improved)
  o Only one torrent at a time is checked.
  o Non-blocking and preload to cache with the mincore and madvise system calls.
* Different download priorities for files in the torrent.
* Support for files larger than 2 GB.
* No dependency on any specific HTTP library, the client implements a wrapper class.
* Dynamic request pipe size.

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.9-1-686
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>:
Bug#298973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Stephen Depooter <sbdep@woot.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>. Full text and rfc822 format available.

Message #10 received at 298973@bugs.debian.org (full text, mbox):

From: Stephen Depooter <sbdep@woot.net>
To: 298973@bugs.debian.org
Cc: 298973-submitter@bugs.debian.org
Subject: packages available?
Date: Sat, 16 Apr 2005 01:47:08 -0400
[Message part 1 (text/plain, inline)]
Hi Qingning Huo,

I noticed your ITP to package libtorrent for debian.  I was wondering if you 
got anywhere on that package since I was planning on using it for a project I 
am going to work on.  If you have a preliminary package somewhere I would be 
interested in seeing it.  Otherwise I will probably work from the upstream 
source package or roll my own debian package.

Thanks


-- 
Stephen Depooter <sbdep@woot.net>
[Message part 2 (application/pgp-signature, inline)]

Message sent on to Qingning Huo <qhuo@mayhq.co.uk>:
Bug#298973. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>:
Bug#298973; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Qingning Huo <qhuo@mayhq.co.uk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, qingning huo <qhuo@mayhq.co.uk>. Full text and rfc822 format available.

Message #18 received at 298973@bugs.debian.org (full text, mbox):

From: Qingning Huo <qhuo@mayhq.co.uk>
To: Stephen Depooter <sbdep@woot.net>, 298973@bugs.debian.org
Subject: Re: Bug#298973: packages available?
Date: Sat, 16 Apr 2005 08:58:15 +0100
[Message part 1 (text/plain, inline)]
On Sat, Apr 16, 2005 at 01:47:08AM -0400, Stephen Depooter wrote:
> Hi Qingning Huo,
> 
> I noticed your ITP to package libtorrent for debian.  I was wondering if you 
> got anywhere on that package since I was planning on using it for a project I 
> am going to work on.  If you have a preliminary package somewhere I would be 
> interested in seeing it.  Otherwise I will probably work from the upstream 
> source package or roll my own debian package.

Hi Stephen,

The packages[1] of libtorrent and rtorrent have been submitted to
Debian, and rejected by ftpmaster because of a license problem.  That
is, GPL program linked with SHA1 code from openssl.  The upstream author
is converting to a GPL'ed SHA1 implementation.

Regards,
Qingning

[1] http://debian.mayhq.org/
[signature.asc (application/pgp-signature, inline)]

Reply sent to Qingning Huo <qhuo@mayhq.co.uk>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Qingning Huo <qhuo@mayhq.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #23 received at 298973-close@bugs.debian.org (full text, mbox):

From: Qingning Huo <qhuo@mayhq.co.uk>
To: 298973-close@bugs.debian.org
Subject: Bug#298973: fixed in libtorrent 0.6.7-1
Date: Wed, 13 Jul 2005 18:35:37 -0400
Source: libtorrent
Source-Version: 0.6.7-1

We believe that the bug you reported is fixed in the latest version of
libtorrent, which is due to be installed in the Debian FTP archive:

libtorrent3-dev_0.6.7-1_i386.deb
  to pool/main/libt/libtorrent/libtorrent3-dev_0.6.7-1_i386.deb
libtorrent3_0.6.7-1_i386.deb
  to pool/main/libt/libtorrent/libtorrent3_0.6.7-1_i386.deb
libtorrent_0.6.7-1.diff.gz
  to pool/main/libt/libtorrent/libtorrent_0.6.7-1.diff.gz
libtorrent_0.6.7-1.dsc
  to pool/main/libt/libtorrent/libtorrent_0.6.7-1.dsc
libtorrent_0.6.7.orig.tar.gz
  to pool/main/libt/libtorrent/libtorrent_0.6.7.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298973@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Qingning Huo <qhuo@mayhq.co.uk> (supplier of updated libtorrent package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 10 Jul 2005 22:33:52 +0100
Source: libtorrent
Binary: libtorrent3-dev libtorrent3
Architecture: source i386
Version: 0.6.7-1
Distribution: unstable
Urgency: low
Maintainer: Qingning Huo <qhuo@mayhq.co.uk>
Changed-By: Qingning Huo <qhuo@mayhq.co.uk>
Description: 
 libtorrent3 - a C++ BitTorrent library
 libtorrent3-dev - a C++ BitTorrent library (development files)
Closes: 298973
Changes: 
 libtorrent (0.6.7-1) unstable; urgency=low
 .
   * New upstream release.
   * Use Standards-Version: 3.6.2.
   * g++ 4.0 transition.
   * Add libssl-dev to Build-Depends.
 .
 libtorrent (0.6.6-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.6.5-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.6.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.6.3-1) unstable; urgency=low
 .
   * New upstream release:
   - Changed SONAME to libtorrent.so.3.
   * Changed binary package names to libtorrent3[-dev].
 .
 libtorrent (0.6.2-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.6.1-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.6.0-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.5.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
 libtorrent (0.5.2-1) unstable; urgency=low
 .
   * Initial Release. (Closes: #298973)
Files: 
 a8e49dc32e55cb8f094b321f960c99e6 621 libs extra libtorrent_0.6.7-1.dsc
 2680bf451b2feec1b7d5423366193fdf 312144 libs extra libtorrent_0.6.7.orig.tar.gz
 aa9475c78b4abc6a2988c01e623cc672 10799 libs extra libtorrent_0.6.7-1.diff.gz
 da91d6047b8b7029d59dc7db247a5a8f 11964 libdevel extra libtorrent3-dev_0.6.7-1_i386.deb
 c9b035bd65d2cd49374516a575a699ca 241432 libs extra libtorrent3_0.6.7-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFC0qM+vJtHM4T7RtYRApoXAKCRNsrCLYk5ws39QSx114KLoncN4wCeMHu6
w+QpjId4TmEgIzJJo7OBx8U=
=PCKc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 17:00:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:35:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.